#
# Copyright (C) 2004 Tenable Network Security 
#
#

if(description)
{
 script_id(11999);
 script_version("$Revision: 1.5 $");
 name["english"] = "RADIATE detection";

 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is using the RADIATE program.  
You should ensure that:
- the user intended to install RADIATE (it is sometimes silently installed)
- the use of RADIATE matches your corporate mandates and security policies.

To remove this sort of software, you may wish to check out ad-aware or spybot. 

See also: http://www.safersite.com/PestInfo/r/radiate.asp

Solution : Uninstall this software
Risk factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "RADIATE detection";

 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2004 Tenable Network Security");
 family["english"] = "Windows";
 script_family(english:family["english"]);
 
 script_dependencies("smb_registry_full_access.nasl");
 script_require_keys("SMB/registry_full_access");

 script_require_ports(139, 445);
 exit(0);
}


# start the script
if ( ! get_kb_item("SMB/registry_full_access") ) exit(0);

path[1] = "software\classes\clsid\{6d0bb051-a1a3-11d3-a67c-0050da2ce984}";
path[2] = "software\classes\interface\{141c673d-4515-4482-905d-a2caa68538a1}";
path[3] = "software\classes\interface\{6d0bb050-a1a3-11d3-a67c-0050da2ce984}";
path[4] = "software\classes\interface\{6d0bb053-a1a3-11d3-a67c-0050da2ce984}";
path[5] = "software\classes\interface\{8a2a68ae-9a25-444c-965b-b560105ed0a0}";
path[6] = "software\classes\interface\{e670155f-7d8c-4bba-8cfe-24e5b5a31760}";
path[7] = "software\classes\interface\{e976a28e-3b3d-4e18-a7d4-255a9f0e8ade}";
path[8] = "software\classes\typelib\{6d0bb056-a1a3-11d3-a67c-0050da2ce984}";
path[9] = "software\microsoft\windows\currentversion\uninstallradiate";




global_var handle;

include("smb_nt.inc");
x_name = kb_smb_name();
if(!x_name)exit(0);

_smb_port = kb_smb_transport();
if(!_smb_port)exit(0);

if(!get_port_state(_smb_port)) exit(0);
login = kb_smb_login();
pass  = kb_smb_password();
domain = kb_smb_domain();

if(!login)login = "";
if(!pass) pass = "";

          
soc = open_sock_tcp(_smb_port);
if(!soc) exit(0);

#
# Request the session
# 
r = smb_session_request(soc:soc,  remote:x_name);
if(!r) { close(soc); exit(0); }

#
# Negociate the protocol
#
prot = smb_neg_prot(soc:soc);
if(!prot){ close(soc); exit(0); }


r = smb_session_setup(soc:soc, login:login, password:pass, domain:domain, prot:prot);
if(!r){ close(soc); exit(0); }
uid = session_extract_uid(reply:r);

r = smb_tconx(soc:soc, name:x_name, uid:uid, share:"IPC$");
tid = tconx_extract_tid(reply:r);
if(!tid){ close(soc); exit(0); }


r = smbntcreatex(soc:soc, uid:uid, tid:tid, name:"\winreg");
if(!r){ close(soc); exit(0);}
pipe = smbntcreatex_extract_pipe(reply:r);

r = pipe_accessible_registry(soc:soc, uid:uid, tid:tid, pipe:pipe);
if(!r){ close(soc); exit(0); }
handle = registry_open_hklm(soc:soc, uid:uid, tid:tid, pipe:pipe);
if ( ! handle ) exit(0);


for (i=0; path[i]; i++) {
       key_h = registry_get_key(soc:soc, uid:uid, tid:tid, pipe:pipe, key:path[i], reply:handle);
       if(key_h != NULL) {security_hole(kb_smb_transport()); exit(0); }
}

close(soc);
